Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class ActionsManagerAdapter

    java.lang.Object
      org.netbeans.api.debugger.ActionsManagerAdapter

All Implemented Interfaces:
  EventListener, ActionsManagerListener

Direct Known Subclasses:
  LazyActionsManagerListener

    public class ActionsManagerAdapter

extends Object
implements ActionsManagerListener

Empty implementation of `ActionsManagerListener`.

Field Summary

Fields inherited from interface org.netbeans.api.debugger.ActionsManagerListener
`PROP_ACTION_PERFORMED, PROP_ACTION_STATE_CHANGED`

Constructor Summary
`ActionsManagerAdapter()`

Method Summary
`void` | `actionPerformed(Object action)` Called when some action is performed.
`void` | `actionStateChanged(Object action, boolean enabled)` Called when a state of some action has been changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionsManagerAdapter

    public ActionsManagerAdapter()

Method Detail

### actionPerformed

    public void actionPerformed(Object action)

  Called when some action is performed.

  Specified by:
    `actionPerformed` in interface `ActionsManagerListener`
  Parameters:
    `action` - action constant

### actionStateChanged

    public void actionStateChanged(Object action,
                                   boolean enabled)

  Called when a state of some action has been changed.

  Specified by:
    `actionStateChanged` in interface `ActionsManagerListener`
  Parameters:
    `action` - action constant
    `enabled` - a new state of action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.